# from detectron2.data import DatasetCatalog
from detectron2.data.datasets import register_coco_instances

dataset_root = "/mnt/home2/annonymous/ForestPersons_v3"

def register_missing_person_dataset():
    # Register the dataset with Detectron2
    register_coco_instances("missing_person_train", {}, f"{dataset_root}/annotations/train.json", f"{dataset_root}/images")
    register_coco_instances("missing_person_val", {}, f"{dataset_root}/annotations/val.json", f"{dataset_root}/images")
    register_coco_instances("missing_person_test", {}, f"{dataset_root}/annotations/test.json", f"{dataset_root}/images")


